Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.drawable
Class DummyGLDrawableFactory

    java.lang.Object
      |
      +--gl4java.drawable.GLDrawableFactory
            |
            +--gl4java.drawable.DummyGLDrawableFactory

public class DummyGLDrawableFactory
extends GLDrawableFactory

Method Summary
`GLAnimCanvas` | `createGLAnimCanvas(GLCapabilities capabilities, int width, int height, java.lang.String glName, java.lang.String gluName)` Create a new GLAnimCanvas given the specified GLCapabilities.
`GLCanvas` | `createGLCanvas(GLCapabilities capabilities, int width, int height, java.lang.String glName, java.lang.String gluName)` Create a new GLCanvas given the specified GLCapabilities.

Methods inherited from class gl4java.drawable.GLDrawableFactory
`createGLAnimCanvas, createGLAnimJPanel, createGLAnimJPanel, createGLCanvas, createGLJPanel, createGLJPanel, getFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createGLAnimCanvas

    public GLAnimCanvas createGLAnimCanvas(GLCapabilities capabilities,
                                           int width,
                                           int height,
                                           java.lang.String glName,
                                           java.lang.String gluName)

  Description copied from class: `GLDrawableFactory`
  Create a new GLAnimCanvas given the specified GLCapabilities.
  Overrides:
    `createGLAnimCanvas` in class `GLDrawableFactory`
  Following copied from class: `gl4java.drawable.GLDrawableFactory`
  Parameters:
    `capabilities` - the requested set of OpenGL capabilities of the canvas
    `width` - the canvas's initial width
    `height` - the canvas's initial height
    `glName` - the name of the GLFunc implementation. If null, the default class will be used
    `gluName` - the name of the GLUFunc implementation. If null, the default class will be used
  Returns:
    a GLAnimCanvas supporting the set of specified capabilities, or null if there was no matching visual

### createGLCanvas

    public GLCanvas createGLCanvas(GLCapabilities capabilities,
                                   int width,
                                   int height,
                                   java.lang.String glName,
                                   java.lang.String gluName)

  Description copied from class: `GLDrawableFactory`
  Create a new GLCanvas given the specified GLCapabilities.
  Overrides:
    `createGLCanvas` in class `GLDrawableFactory`
  Following copied from class: `gl4java.drawable.GLDrawableFactory`
  Parameters:
    `capabilities` - the requested set of OpenGL capabilities of the canvas
    `width` - the canvas's initial width
    `height` - the canvas's initial height
    `glName` - the name of the GLFunc implementation. If null, the default class will be used
    `gluName` - the name of the GLUFunc implementation. If null, the default class will be used
  Returns:
    a GLCanvas supporting the set of specified capabilities, or null if there was no matching visual

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD